let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/lw7xaqhakk0i1c631m3cvac3x4lc5gr5-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/920k63py2w97xpfyb5ps9l6wbidvzfjz-coreutils-8.29/bin";
  bzip2 = "/nix/store/hqspf7pmaz9s8hjjh3agjdmsn0pdj9xp-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/3cx8jscamhp08hjv6x4lhd1w57ggji0k-gzip-1.9/bin/gzip";
  xz = "/nix/store/9f4kav8sa4qf3clc61h06ggyvhi2m728-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/7zam9d16ml78rb0p1p5gds4p5z99fpyv-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/920k63py2w97xpfyb5ps9l6wbidvzfjz-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/mxg4bbblxfns96yrz0nalxyiyjl7gj98-nix-2.1.2/bin";
  nixPrefix = "/nix/store/mxg4bbblxfns96yrz0nalxyiyjl7gj98-nix-2.1.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/mxg4bbblxfns96yrz0nalxyiyjl7gj98-nix-2.1.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
